Bug 179387 - Shouldn't let you install Xen *inside* domU
Shouldn't let you install Xen *inside* domU
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
Blocks: 179599
  Show dependency treegraph
Reported: 2006-01-30 15:30 EST by Bill Nottingham
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 22:45:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-01-30 15:30:11 EST
... as it doesn't make much sense.

Comment 1 Jeremy Katz 2006-01-31 16:05:13 EST
The architecture matches, so we have no real way to disallow it (... other than
just a really bad hack)
Comment 2 Bill Nottingham 2006-01-31 16:18:05 EST
Surely you can clean it out of the option list?
Comment 3 Jeremy Katz 2006-02-03 18:51:00 EST
That would be the "really bad hack".  Which is now done
Comment 4 Bill Nottingham 2006-02-03 20:40:14 EST
        if os.path.exists("/proc/xen") or True:

That seems a little extreme?

Perhaps you mean s/True/iutil.getArch() != "ppc"/?
Comment 5 Bill Nottingham 2006-02-03 20:40:51 EST
Erm, ==. Me type pretty one day.
Comment 6 Jeremy Katz 2006-02-03 22:45:26 EST
More, "testing gone bad" 

Note You need to log in before you can comment on or make changes to this bug.